Article ID: 6990, created on Dec 9, 2009, last review on Aug 12, 2014

  • Applies to:
  • Plesk for Linux/Unix

Symptômes

La version actuelle de phpMyAdmin dans Parallels Panel est 2.8.2.4. Elle est sortie le 22 août 2006. Comment mettre à jour phpMyAdmin vers la version 2.11.9.5 ?

Résolution

Veuillez trouver ci-joint l'archive zip avec le patch phpMyAdmin-2.11.9.5-all-languages et le script des paramètres de migration à partir de phpMyAdmin-2.8.2.4 installé avec Parallels Panel.
Vous pouvez utiliser les instructions suivantes pour installer phpMyAdmin 2.11.9.5.

1. Télécharger l'archive et la dézipper.

~# wget http://kb.sp.parallels.com/Attachments/11632/Attachments/phpMyAdmin.zip
~# unzip
phpMyAdmin.zip
~# ls phpMyAdmin
migrate_settings.sh 
phpMyAdmin-2.11.9.5-all-languages.tar.gz 
phpmyadmin.patch
~#

2. Extraire le phpMyAdmin patché :

~# cd
phpMyAdmin
~# tar -xzf phpMyAdmin-2.11.9.5-all-languages.tar.gz

3. Migrer les paramètres de phpMyAdmin installé vers de nouveaux :

~# cd phpMyAdmin-2.11.9.5-all-languages && ../migrate_settings.sh


4. Sauvegarder les fichiers du phpMyAdmin installé (vous pouvez la supprimer ultérieurement) :

~# mv /usr/local/psa/admin/htdocs/domains/databases/phpMyAdmin /usr/local/psa/admin/htdocs/domains/databases/phpMyAdmin.old

5. Migrer les fichiers du nouveau phpMyAdmin vers le répertoire root de Parallels Panel :

~# mv phpMyAdmin-2.11.9.5-all-languages /usr/local/psa/admin/htdocs/domains/databases/phpMyAdmin

Attachments

a914db3fdc7a53ddcfd1b2db8f5a1b9c 29d1e90fd304f01e6420fbe60f66f838 56797cefb1efc9130f7c48a7d1db0f0c

Email subscription for changes to this article
Save as PDF